package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 管理员回复
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 18:32
 */
public class ProblemMemberReplyDTO implements Serializable {
    private static final long serialVersionUID = -7855916448409509250L;
    /**
     *
     */
    private Integer evaluateReplyId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 评论id
     */
    private Integer problemId;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     *
     */
    private Long memberId;

    /**
     *
     */
    private String memberName;

    /**
     * 会员acuId
     */
    private Long acuId;
    /**
     * 会员ecuId
     */
    private Long ecuId;

    private List<String> imgList;
    private String memberImgUrl;

    public Integer getEvaluateReplyId() {
        return evaluateReplyId;
    }

    public void setEvaluateReplyId(Integer evaluateReplyId) {
        this.evaluateReplyId = evaluateReplyId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getProblemId() {
        return problemId;
    }

    public void setProblemId(Integer problemId) {
        this.problemId = problemId;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public Long getAcuId() {
        return acuId;
    }

    public void setAcuId(Long acuId) {
        this.acuId = acuId;
    }

    public Long getEcuId() {
        return ecuId;
    }

    public void setEcuId(Long ecuId) {
        this.ecuId = ecuId;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public String getMemberImgUrl() {
        return memberImgUrl;
    }

    public void setMemberImgUrl(String memberImgUrl) {
        this.memberImgUrl = memberImgUrl;
    }

    @Override
    public String toString() {
        return "ProblemMemberReplyDTO{" +
                "evaluateReplyId=" + evaluateReplyId +
                ", enterpriseId=" + enterpriseId +
                ", problemId=" + problemId +
                ", replyContent='" + replyContent + '\'' +
                ", memberId=" + memberId +
                ", memberName='" + memberName + '\'' +
                ", acuId=" + acuId +
                ", ecuId=" + ecuId +
                ", imgList=" + imgList +
                ", memberImgUrl='" + memberImgUrl + '\'' +
                '}';
    }
}
