package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 17:55
 */
public class EvaluateDTO implements Serializable {
    private static final long serialVersionUID = -4459192805222309115L;

    /**
     *
     */
    private Integer evaluateId;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 门店id
     */
    private Integer storeId;

    /**
     * 会员id
     */
    private Long memberId;

    /**
     * acuId
     */
    private Long acuId;

    /**
     * ecuId
     */
    private Long ecuId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 评语
     */
    private String evaluateContent;

    /**
     * 商品质量
     */
    private Integer goodsScore;

    /**
     * 门店环境
     */
    private Integer storeScore;

    /**
     * 导购服务
     */
    private Integer serviceScore;

    /**
     * 首次评价之间
     */
    private Date evaluateTime;

    /**
     * 会员名称
     */
    private String memberName;

    /**
     *
     */
    private String memberPhone;

    /**
     * 会员信息头像
     */
    private String memberImgUrl;

    /**
     * 商品信息
     */
    private Long goodsId;

    /**
     * 商品信息
     */
    private String goodsInfo;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 门店分组id
     */
    private Integer storeGroupId;

    /**
     * 门店分组名
     */
    private String storeGroupName;

    /**
     * 地区名
     */
    private String areaName;
    /**
     *
     */
    private String storePhone;

    /**
     * 订单号
     */
    private String orderNumber;

    /**
     * 订单实际消费日期
     */
    private Date receiptsDate;

    /**
     * 导购id
     */
    private Integer clerkId;

    /**
     * 导购名
     */
    private String clerkName;

    /**
     * 是否是不良评价
     */
    private Integer badEvaluateStatus;

    /**
     * 是否是好评
     */
    private Integer goodEvaluateStatus;

    /**
     * 是否有追评
     */
    private Integer reviewStatus;

    /**
     * 是否是置顶热评
     */
    private Integer topHotStatus;

    /**
     * 是否是恶意评论
     */
    private Integer maliciousStatus;

    /**
     * 是否展示
     */
    private Integer showStatus;

    /**
     * 回访状态（0：待分配，1：已分配，2：回访结束，3：回访逾期，4：不分配，5：无需回访 ，6：回访取消）
     */
    private Integer visitStatus;

    /**
     * 评论状态  0未回复   1有回复
     */
    private Integer replyStatus;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private String quickIds;

    private List<EvaluateReplyDTO> replyList;
    private Boolean hasTopHot = false;
    private String replyTime;
    private String replyMemberContent;
    private String replyUserContent;
    private List<String> imgList;
    private Double orderMount;
    private Double avgScore = 0.0d;
    private List<EvaluateTagsDTO> quickReplyTagList;
    private List<String> quickReplyTagNameList;
    private Integer storeInfoId;

    public Integer getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getAcuId() {
        return acuId;
    }

    public void setAcuId(Long acuId) {
        this.acuId = acuId;
    }

    public Long getEcuId() {
        return ecuId;
    }

    public void setEcuId(Long ecuId) {
        this.ecuId = ecuId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getEvaluateContent() {
        return evaluateContent;
    }

    public void setEvaluateContent(String evaluateContent) {
        this.evaluateContent = evaluateContent;
    }

    public Integer getGoodsScore() {
        return goodsScore;
    }

    public void setGoodsScore(Integer goodsScore) {
        this.goodsScore = goodsScore;
    }

    public Integer getStoreScore() {
        return storeScore;
    }

    public void setStoreScore(Integer storeScore) {
        this.storeScore = storeScore;
    }

    public Integer getServiceScore() {
        return serviceScore;
    }

    public void setServiceScore(Integer serviceScore) {
        this.serviceScore = serviceScore;
    }

    public Date getEvaluateTime() {
        return evaluateTime;
    }

    public void setEvaluateTime(Date evaluateTime) {
        this.evaluateTime = evaluateTime;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getMemberImgUrl() {
        return memberImgUrl;
    }

    public void setMemberImgUrl(String memberImgUrl) {
        this.memberImgUrl = memberImgUrl;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsInfo() {
        return goodsInfo;
    }

    public void setGoodsInfo(String goodsInfo) {
        this.goodsInfo = goodsInfo;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getStoreGroupId() {
        return storeGroupId;
    }

    public void setStoreGroupId(Integer storeGroupId) {
        this.storeGroupId = storeGroupId;
    }

    public String getStoreGroupName() {
        return storeGroupName;
    }

    public void setStoreGroupName(String storeGroupName) {
        this.storeGroupName = storeGroupName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getStorePhone() {
        return storePhone;
    }

    public void setStorePhone(String storePhone) {
        this.storePhone = storePhone;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Date getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(Date receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public Integer getBadEvaluateStatus() {
        return badEvaluateStatus;
    }

    public void setBadEvaluateStatus(Integer badEvaluateStatus) {
        this.badEvaluateStatus = badEvaluateStatus;
    }

    public Integer getGoodEvaluateStatus() {
        return goodEvaluateStatus;
    }

    public void setGoodEvaluateStatus(Integer goodEvaluateStatus) {
        this.goodEvaluateStatus = goodEvaluateStatus;
    }

    public Integer getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(Integer reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public Integer getTopHotStatus() {
        return topHotStatus;
    }

    public void setTopHotStatus(Integer topHotStatus) {
        this.topHotStatus = topHotStatus;
    }

    public Integer getMaliciousStatus() {
        return maliciousStatus;
    }

    public void setMaliciousStatus(Integer maliciousStatus) {
        this.maliciousStatus = maliciousStatus;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }

    public Integer getVisitStatus() {
        return visitStatus;
    }

    public void setVisitStatus(Integer visitStatus) {
        this.visitStatus = visitStatus;
    }

    public Integer getReplyStatus() {
        return replyStatus;
    }

    public void setReplyStatus(Integer replyStatus) {
        this.replyStatus = replyStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getQuickIds() {
        return quickIds;
    }

    public void setQuickIds(String quickIds) {
        this.quickIds = quickIds;
    }

    public List<EvaluateReplyDTO> getReplyList() {
        return replyList;
    }

    public void setReplyList(List<EvaluateReplyDTO> replyList) {
        this.replyList = replyList;
    }

    public Boolean getHasTopHot() {
        return hasTopHot;
    }

    public void setHasTopHot(Boolean hasTopHot) {
        this.hasTopHot = hasTopHot;
    }

    public String getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(String replyTime) {
        this.replyTime = replyTime;
    }

    public String getReplyMemberContent() {
        return replyMemberContent;
    }

    public void setReplyMemberContent(String replyMemberContent) {
        this.replyMemberContent = replyMemberContent;
    }

    public String getReplyUserContent() {
        return replyUserContent;
    }

    public void setReplyUserContent(String replyUserContent) {
        this.replyUserContent = replyUserContent;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public Double getOrderMount() {
        return orderMount;
    }

    public void setOrderMount(Double orderMount) {
        this.orderMount = orderMount;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public List<EvaluateTagsDTO> getQuickReplyTagList() {
        return quickReplyTagList;
    }

    public void setQuickReplyTagList(List<EvaluateTagsDTO> quickReplyTagList) {
        this.quickReplyTagList = quickReplyTagList;
    }

    public List<String> getQuickReplyTagNameList() {
        return quickReplyTagNameList;
    }

    public void setQuickReplyTagNameList(List<String> quickReplyTagNameList) {
        this.quickReplyTagNameList = quickReplyTagNameList;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    @Override
    public String toString() {
        return "EvaluateDTO{" +
                "evaluateId=" + evaluateId +
                ", enterpriseId=" + enterpriseId +
                ", storeId=" + storeId +
                ", memberId=" + memberId +
                ", acuId=" + acuId +
                ", ecuId=" + ecuId +
                ", orderId=" + orderId +
                ", evaluateContent='" + evaluateContent + '\'' +
                ", goodsScore=" + goodsScore +
                ", storeScore=" + storeScore +
                ", serviceScore=" + serviceScore +
                ", evaluateTime=" + evaluateTime +
                ", memberName='" + memberName + '\'' +
                ", memberPhone='" + memberPhone + '\'' +
                ", memberImgUrl='" + memberImgUrl + '\'' +
                ", goodsId=" + goodsId +
                ", goodsInfo='" + goodsInfo + '\'' +
                ", storeName='" + storeName + '\'' +
                ", storeCode='" + storeCode + '\'' +
                ", storeGroupId=" + storeGroupId +
                ", storeGroupName='" + storeGroupName + '\'' +
                ", areaName='" + areaName + '\'' +
                ", storePhone='" + storePhone + '\'' +
                ", orderNumber='" + orderNumber + '\'' +
                ", receiptsDate=" + receiptsDate +
                ", clerkId=" + clerkId +
                ", clerkName='" + clerkName + '\'' +
                ", badEvaluateStatus=" + badEvaluateStatus +
                ", goodEvaluateStatus=" + goodEvaluateStatus +
                ", reviewStatus=" + reviewStatus +
                ", topHotStatus=" + topHotStatus +
                ", maliciousStatus=" + maliciousStatus +
                ", showStatus=" + showStatus +
                ", visitStatus=" + visitStatus +
                ", replyStatus=" + replyStatus +
                ", status=" + status +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", quickIds='" + quickIds + '\'' +
                ", replyList=" + replyList +
                ", hasTopHot=" + hasTopHot +
                ", replyTime='" + replyTime + '\'' +
                ", replyMemberContent='" + replyMemberContent + '\'' +
                ", replyUserContent='" + replyUserContent + '\'' +
                ", imgList=" + imgList +
                ", orderMount=" + orderMount +
                ", avgScore=" + avgScore +
                ", quickReplyTagList=" + quickReplyTagList +
                ", quickReplyTagNameList=" + quickReplyTagNameList +
                ", storeInfoId=" + storeInfoId +
                '}';
    }
}

