package com.gic.evaluate.dto;

import java.io.Serializable;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-05-06 14:45
 */
public class EvaluateTagsDTO implements Serializable {

    private static final long serialVersionUID = -7475204633631521759L;
    /**
     * 评价快捷标签统计表ID
     */
    private Integer evaluateTagsId;

    /**
     * 评价ID
     */
    private Integer evaluateId;

    /**
     * 评价回复ID
     */
    private Integer evaluateReplyId;

    /**
     * 会员ID
     */
    private Long memberId;

    /**
     * 标签类型 1:负面评价  2：正面评价  3：后台回复
     */
    private Integer tagType;

    /**
     * 评价快捷标签
     */
    private String tagName;

    /**
     * 企业ID
     */
    private Integer enterpriseId;

    public Integer getEvaluateTagsId() {
        return evaluateTagsId;
    }

    public void setEvaluateTagsId(Integer evaluateTagsId) {
        this.evaluateTagsId = evaluateTagsId;
    }

    public Integer getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public Integer getEvaluateReplyId() {
        return evaluateReplyId;
    }

    public void setEvaluateReplyId(Integer evaluateReplyId) {
        this.evaluateReplyId = evaluateReplyId;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Integer getTagType() {
        return tagType;
    }

    public void setTagType(Integer tagType) {
        this.tagType = tagType;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    @Override
    public String toString() {
        return "EvaluateTagsDTO{" +
                "evaluateTagsId=" + evaluateTagsId +
                ", evaluateId=" + evaluateId +
                ", evaluateReplyId=" + evaluateReplyId +
                ", memberId=" + memberId +
                ", tagType=" + tagType +
                ", tagName='" + tagName + '\'' +
                ", enterpriseId=" + enterpriseId +
                '}';
    }
}
