package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 会员回复
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 18:32
 */
public class MemberReplyDTO implements Serializable {
    private static final long serialVersionUID = 4919895618830625309L;

    /**
     * 商户id
     */
    private Integer enterpriseId;

    /**
     * 评论id
     */
    private Integer evaluateId;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     *
     */
    private Long memberId;

    /**
     *
     */
    private String memberName;
    private List<String> imgList;
    private String memberImgUrl;
    private Long acuId;
    private Long ecuId;

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getEvaluateId() {
        return evaluateId;
    }

    public void setEvaluateId(Integer evaluateId) {
        this.evaluateId = evaluateId;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }

    public String getMemberImgUrl() {
        return memberImgUrl;
    }

    public void setMemberImgUrl(String memberImgUrl) {
        this.memberImgUrl = memberImgUrl;
    }

    public Long getAcuId() {
        return acuId;
    }

    public void setAcuId(Long acuId) {
        this.acuId = acuId;
    }

    public Long getEcuId() {
        return ecuId;
    }

    public void setEcuId(Long ecuId) {
        this.ecuId = ecuId;
    }

    @Override
    public String toString() {
        return "MemberReplyDTO{" +
                "enterpriseId=" + enterpriseId +
                ", evaluateId=" + evaluateId +
                ", replyContent='" + replyContent + '\'' +
                ", memberId=" + memberId +
                ", memberName='" + memberName + '\'' +
                ", imgList=" + imgList +
                ", memberImgUrl='" + memberImgUrl + '\'' +
                ", acuId=" + acuId +
                ", ecuId=" + ecuId +
                '}';
    }
}
