package com.gic.evaluate.web.vo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import java.io.Serializable;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 10:55
 */
public class BadTagConfigVO implements Serializable {
    private static final long serialVersionUID = 2604231225534227058L;

    public interface BadTagConfigValid{}
    /**
     *
     */
    private Integer evaluateOrderConfigId;
    /**
     * 恶意评价标记功能
     */
    @Min(value = 0, message = "参数错误", groups = BadTagConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = BadTagConfigValid.class)
    private Integer badEvaluateTag;

    private Integer badEvaluateTagType = -1;

    /**
     * 恶意投诉标记功能
     */
    @Min(value = 0, message = "参数错误", groups = BadTagConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = BadTagConfigValid.class)
    private Integer badSuggestionTag;
    private Integer badSuggestionTagType = -1;

    private Integer enterpriseId;

    public Integer getEvaluateOrderConfigId() {
        return evaluateOrderConfigId;
    }

    public void setEvaluateOrderConfigId(Integer evaluateOrderConfigId) {
        this.evaluateOrderConfigId = evaluateOrderConfigId;
    }

    public Integer getBadEvaluateTag() {
        return badEvaluateTag;
    }

    public void setBadEvaluateTag(Integer badEvaluateTag) {
        this.badEvaluateTag = badEvaluateTag;
    }

    public Integer getBadSuggestionTag() {
        return badSuggestionTag;
    }

    public void setBadSuggestionTag(Integer badSuggestionTag) {
        this.badSuggestionTag = badSuggestionTag;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getBadEvaluateTagType() {
        return badEvaluateTagType;
    }

    public void setBadEvaluateTagType(Integer badEvaluateTagType) {
        this.badEvaluateTagType = badEvaluateTagType;
    }

    public Integer getBadSuggestionTagType() {
        return badSuggestionTagType;
    }

    public void setBadSuggestionTagType(Integer badSuggestionTagType) {
        this.badSuggestionTagType = badSuggestionTagType;
    }

    @Override
    public String toString() {
        return "BadTagConfigVO{" +
                "evaluateOrderConfigId=" + evaluateOrderConfigId +
                ", badEvaluateTag=" + badEvaluateTag +
                ", badEvaluateTagType=" + badEvaluateTagType +
                ", badSuggestionTag=" + badSuggestionTag +
                ", badSuggestionTagType=" + badSuggestionTagType +
                ", enterpriseId=" + enterpriseId +
                '}';
    }
}
